// TODO moved class in correct files
.js-opening_hour-item {
  .form-check {
    display: inline-block;
  }
}

.my-legend .legend-title {
  text-align: left;
  margin-bottom: 5px;
  font-weight: bold;
  font-size: 90%;
}

.my-legend .legend-scale ul {
  margin: 0 0 5px 0;
  padding: 0;
  list-style: none;
  @media (min-width: 768px) {
    columns: 3;
    -webkit-columns: 3;
    -moz-columns: 3;
  }
}

.my-legend .legend-scale ul li {
  font-size: 80%;
  list-style: none;
  margin-left: 0;
  line-height: 18px;
  margin-bottom: 2px;
}

.my-legend ul.legend-labels li span {
  display: block;
  float: left;
  height: 16px;
  width: 30px;
  margin-right: 5px;
  margin-left: 0;
  border-radius: 5px;
}

.my-legend .legend-source {
  font-size: 70%;
  color: #999;
  clear: both;
}

.my-legend a {
  color: #777;
}

.date-picker {
  td{
    & a.ui-state-active:focus,a.ui-state-default:focus  {
      box-shadow: 0 0 0 2px #FFA500;
    }

    &.not-available {
      &:not(.ui-state-disabled) {
        background: linear-gradient(to top left, #fff calc(50% - 2px), #d9364f, #fff calc(50% + 2px));

        & a.ui-state-active {
          background-color: #2222;
          color: #555 !important;
          border: none;
        }

        &.ui-datepicker-today > a {
          border: none;
        }
      }

      &.disabled {
        background: linear-gradient(to top left, #fff calc(50% - 2px), #d9364f, #fff calc(50% + 2px));
      }
    }
  }
}

@media (max-width: 575px) {
  .fc-toolbar.fc-header-toolbar {
    display: block;
  }

  .fc-timeGridWeek-button {
    display: none;
  }

  .fc-dayGridMonth-button {
    display: none;
  }
}

.fc td.fc-today {
  background-image: none;
}

#modalCenter, #modalNew {
  input[type=date], input[type=datetime-local], input[type=email], input[type=number], input[type=password], input[type=search], input[type=tel], input[type=text], input[type=time], input[type=url], textarea {
    font-weight: 100;
  }
}
